name: varbase_media_update_100001
description: 'Issue #3441752: Allow to upload webp file extensions in the media image entity type'
type: update
config:
  actions:
    field.field.media.image.field_media_image:
      ensure_exists:
        settings:
          file_directory: '[date:custom:Y]-[date:custom:m]'
          file_extensions: 'png gif jpg jpeg'
          max_filesize: ''
          max_resolution: ''
          min_resolution: ''
          alt_field: true
          alt_field_required: true
          title_field: true
          title_field_required: false
          default_image:
            uuid: ''
            alt: ''
            title: ''
            width: null
            height: null
          handler: 'default:file'
          handler_settings: {  }
      simple_config_update:
        settings:
          file_directory: '[date:custom:Y]-[date:custom:m]'
          file_extensions: 'png gif jpg jpeg webp'
          max_filesize: ''
          max_resolution: ''
          min_resolution: ''
          alt_field: true
          alt_field_required: true
          title_field: true
          title_field_required: false
          default_image:
            uuid: ''
            alt: ''
            title: ''
            width: null
            height: null
          handler: 'default:file'
          handler_settings: {  }
    field.field.media.remote_video.field_media_cover_image:
      ensure_exists:
        settings:
          file_directory: '[date:custom:Y]-[date:custom:m]'
          file_extensions: 'png gif jpg jpeg'
          max_filesize: ''
          max_resolution: ''
          min_resolution: ''
          alt_field: false
          alt_field_required: false
          title_field: false
          title_field_required: false
          default_image:
            uuid: ''
            alt: ''
            title: ''
            width: null
            height: null
          handler: 'default:file'
          handler_settings: {  }
      simple_config_update:
        settings:
          file_directory: '[date:custom:Y]-[date:custom:m]'
          file_extensions: 'png gif jpg jpeg webp'
          max_filesize: ''
          max_resolution: ''
          min_resolution: ''
          alt_field: false
          alt_field_required: false
          title_field: false
          title_field_required: false
          default_image:
            uuid: ''
            alt: ''
            title: ''
            width: null
            height: null
          handler: 'default:file'
          handler_settings: {  }
    field.field.media.video.field_media_cover_image:
      ensure_exists:
        settings:
          file_directory: '[date:custom:Y]-[date:custom:m]'
          file_extensions: 'png gif jpg jpeg'
          max_filesize: ''
          max_resolution: ''
          min_resolution: ''
          alt_field: false
          alt_field_required: false
          title_field: false
          title_field_required: false
          default_image:
            uuid: ''
            alt: ''
            title: ''
            width: null
            height: null
          handler: 'default:file'
          handler_settings: {  }
      simple_config_update:
        settings:
          file_directory: '[date:custom:Y]-[date:custom:m]'
          file_extensions: 'png gif jpg jpeg webp'
          max_filesize: ''
          max_resolution: ''
          min_resolution: ''
          alt_field: false
          alt_field_required: false
          title_field: false
          title_field_required: false
          default_image:
            uuid: ''
            alt: ''
            title: ''
            width: null
            height: null
          handler: 'default:file'
          handler_settings: {  }
